Menu

## Column

Column.php : 18

HEXONET Column

### Table of Contents

$length : int
  count of column data entries
$data : array<string|int, string>
  column data container
$key : string
  column key name
__construct() : mixed
  Constructor
getData() : array<string|int, string>
  Get column data
getDataByIndex() : string|null
  Get column data at given index
getKey() : string
  Get column name
hasDataIndex() : bool
  Check if column has a given data index

### Properties

#### $length

Column.php : 25

count of column data entries

`public int $length`

#### $data

Column.php : 36

column data container

`private array<string|int, string> $data`

#### $key

Column.php : 31

column key name

`private string $key`

### Methods

#### __construct()

Column.php : 44

Constructor

`public __construct(string $key, array<string|int, string> $data) : mixed`

##### Parameters

$key : string

  Column Name

$data : array<string|int, string>

  Column Data

##### Return values

mixed —

#### getData()

Column.php : 64

Get column data

`public getData() : array<string|int, string>`

##### Return values

array<string|int, string> —

column data

#### getDataByIndex()

Column.php : 74

Get column data at given index

`public getDataByIndex(int $idx) : string|null`

##### Parameters

$idx : int

  data index

##### Return values

string|null —

data at given index

#### getKey()

Column.php : 55

Get column name

`public getKey() : string`

##### Return values

string —

column name

#### hasDataIndex()

Column.php : 84

Check if column has a given data index

`private hasDataIndex(int $idx) : bool`

##### Parameters

$idx : int

  data index

##### Return values

bool —

result

## Search results